GuidoForm SelectProfile {
-default_buttons
-label "Select Profile"
-layout BoxLayout Y_AXIS
GuidoLabel label1 {
-label "Select a profile to load the values from."
}
GuidoFiller filler1 {
-height 0.5
}
GuidoPanel panel {
-layout CentreLineLayout
GuidoComboBox profile {
-label "Profile"
-display_length 16
-exclusive true
-input true
}
}
GuidoFiller filler1 {
-height 0.5
}
GuidoPanel panel {
-layout CentreLineLayout
GuidoLabel label2 {
-label "Warning:"
}
GuidoLabel label3 {
-label "Exiting after loading defaults from this profile will cause"
}
GuidoFiller filler1 {
-height 0.5
}
GuidoLabel label4 {
-label "the loaded values to be written to the current profile."
}
}
}
set buffer [ GuidoExecServer GetProfileList {} ]
set profileList [ GuidoGetParamBufferValue $buffer profile ]
if {$profileList >= 0} {
eval [concat {$profile} {setValues} $profileList ]
}
$profile setCurrentValue [ GuidoGetParamBufferValue $buffer current_profile ]
set return_code [$SelectProfile interact]
if {$return_code == "apply"} {
GuidoApp app "LOAD USER DEFAULT SETTINGS"
$app setParam profile [$profile getCurrentValue]
set result [$app invoke]
$app destroy
}
